{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">

    <div class="row">
        <div class="col-sm-4 col-xs-3">
          {%- if request.path == url_for('main.inventory')  %}
            <h4 class="page-title">inventory</h4>
            {% elif request.path == url_for('main.reserved_cars') %}
            <h4 class="page-title">Reserved</h4>
            {% elif request.path == url_for('main.sold_cars') %}
            <h4 class="page-title">Sold</h4>
            {% endif %}
        </div>
        <div class="col-sm-8 col-xs-9 text-right m-b-20">
          {% if current_user.role.permissions.create_inventory == True and request.path == url_for('main.inventory') %}
            <a href="{{ url_for('main.add_inventory') }}"class="btn btn-primary rounded pull-right"><i class="fa fa-plus"></i> Add Inventory</a>
               {% endif %}
        </div>
    </div>
    {% if inventory %}
    {% if g.search_form %}
    <div class="row">
        <form class="navbar-form navbar-right" method="get" action="{{ url_for('main.search') }}">
            <div class="form-group">
                {{ g.search_form.q(size=20, class='form-control', placeholder=g.search_form.q.label.text) }}
                {{ g.search_form.table() }}
            </div>
        </form>
      </div>
        {% endif %}
    <div class="row staff-grid-row">
        <div class="row staff-grid-row">
            {% for item in inventory %}
            <div id="del{{item.id}}" class="col-md-4 col-sm-4 col-xs-6 col-lg-3">
                <div class="profile-widget">

                    <img src="{% if item.image %}{{url_for('static', filename='uploads/{}'.format(item.image))}}{% else %}{{url_for('static', filename='img/placeholder.png')}}{% endif %} "
                         width="200" height="150" alt="">
                         <div class="dropdown profile-action">
                           <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
                           <ul class="dropdown-menu pull-right">
                             {% if current_user.role.permissions.write_inventory == True %}
                             <li><a href="{{ url_for('main.edit_inventory',id=item.id) }}"><i class="fa fa-pencil m-r-5"></i> Edit</a></li>
                             {% endif %}
                             {% if current_user.role.permissions.delete_inventory == True %}
                             <li><a href="#" onclick="delete_row('{{ item.id }}','Inventory', '#del{{ item.id }}')" data-toggle="modal" data-target="#delete_client"><i class="fa fa-trash-o m-r-5"></i> Delete</a></li>
                             {% endif %}
                           </ul>
                         </div>
                    <h4 class="user-name m-t-10 m-b-0 text-ellipsis"><a
                            href="{{ url_for('main.view_inventory', id=item.id) }}">{{ item.vehicle.make }} {{ item.vehicle.model }}</a>
                    </h4>
                    <span class="text-muted">KES. {{ "%.2f"|format(item.price) }}</span><br>
                    <a href="{{ url_for('main.view_inventory', id=item.id) }}" class="btn btn-default btn-sm m-t-10">View</a>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
    <div class="row">
    <nav aria-label="...">
       <ul class="pager">
           <li class="previous{% if not prev_url %} disabled{% endif %}">
               <a href="{{ prev_url or '#' }}">
                   <span aria-hidden="true">&larr;</span> {{ _('Previous Page') }}
               </a>
           </li>
           <li class="next{% if not next_url %} disabled{% endif %}">
               <a href="{{ next_url or '#' }}">
                   {{ _('Next Page') }} <span aria-hidden="true">&rarr;</span>
               </a>
           </li>
       </ul>
   </nav>
 </div>
    {% else %}
    <div class="alert alert-warning" role="alert">
        No inventories found!!
    </div>
    {% endif %}
</div>
{% endblock %}
